### Summary

* [Booting](Booting/README.md)
    * [From bootloader to kernel](Booting/linux-bootstrap-1.md)
    * [First steps in the kernel setup code](Booting/linux-bootstrap-2.md)
    * [Video mode initialization and transition to protected mode](Booting/linux-bootstrap-3.md)
    * [Transition to 64-bit mode](Booting/linux-bootstrap-4.md)
    * [Kernel decompression](Booting/linux-bootstrap-5.md)
* [Initialization](Initialization/README.md)
    * [First steps in the kernel](Initialization/linux-initialization-1.md)
    * [Early interrupts handler](Initialization/linux-initialization-2.md)
    * [Last preparations before the kernel entry point](Initialization/linux-initialization-3.md)
    * [Kernel entry point](Initialization/linux-initialization-4.md)
    * [Continue architecture-specific boot-time initializations](Initialization/linux-initialization-5.md)
    * [Architecture-specific initializations, again...](Initialization/ linux-initialization-6.md)
    * [End of the architecture-specific initializations, almost...]()
* [Memory management](mm/README.md)
    * [Memblock](mm/linux-mm-1.md)
    * [Fixmaps and ioremap](mm/linux-mm-2.md)
* [Interrupts]()
* [vsyscalls and vdso]()
* [SMP]()
* [Concepts](Concepts/README.md)
    * [Per-CPU variables](Concepts/per-cpu.md)
    * [Cpumasks](Concepts/cpumask.md)
* [Data Structures in the Linux Kernel](DataStructures/README.md)
    * [Doubly linked list](DataStructures/dlist.md)
* [Theory](Theory/README.md)
    * [Paging](Theory/Paging.md)
    * [Elf64](Theory/ELF.md)
    * [CPUID]()
    * [MSR]()
* [Initial ram disk]()
   * [initrd]()
* [Misc](Misc/README.md)
    * [Kernel building and instalation]() 
    * [Write and Submit your first Linux kernel Patch]() 
    * [Data types in the kernel]()
* [Useful links](LINKS.md)
* [Contributors](contributors.md)
